image: node:10

cache:
  key: ${CI_COMMIT_REF_SLUG}
  paths:
  - node_modules/

before_script:
  - node --version
  - yarn --version
  - yarn

lint:
  script:
    - yarn lint

pages:
  stage: deploy
  script:
    - yarn build
  artifacts:
    paths:
    - public
  only:
    - master
